Class | Chef::Provider::Service::Upstart
In: | lib/chef/provider/service/upstart.rb
Parent: | Chef::Provider::Service::Simple

### Methods

disable_service enable_service load_current_resource new reload_service restart_service start_service stop_service upstart_state

### Constants

UPSTART_STATE_FORMAT | = | /\w+ \(?(\w+)\)?[\/ ](\w+)/

### Public Class methods

new(new_resource, run_context)

Upstart does more than start or stop a service, creating multiple ‘states’ [1] that a service can be in. In chef, when we ask a service to start, we expect it to have started before performing the next step since we have top down dependencies. Which is to say we may follow witha resource next that requires that service to be running. According to [2] we can trust that sending a ‘goal’ such as start will not return until that ‘goal’ is reached, or some error has occured.

1
  upstart.ubuntu.com/wiki/JobStates
2
  www.netsplit.com/2008/04/27/upstart-05-events/

### Public Instance methods

disable_service()
enable_service()

bugs.launchpad.net/upstart/+bug/94065

load_current_resource()
reload_service()
restart_service()
start_service()
stop_service()
upstart_state()

[Validate]